## org.hibernate.hql.internal.ast.tree
Interface ExpectedTypeAwareNode

All Known Implementing Classes:
  BooleanLiteralNode, JavaConstantNode, ParameterNode

    public interface ExpectedTypeAwareNode

Interface for nodes which wish to be made aware of any determined "expected type" based on the context within they appear in the query.

Method Summary
`Type` `getExpectedType()`
`void` `setExpectedType(Type expectedType)`

Method Detail

### setExpectedType

    void setExpectedType(Type expectedType)

### getExpectedType

    Type getExpectedType()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.